%define	upstream_name	 Chart
%define	upstream_version 2.4.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A series of charting modules
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CH/CHARTGRP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(GD) >= 2.0.0
BuildArch:  noarch

%description
Series of charting modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 0644 README TODO

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files 
%doc META.yml MYMETA.yml README TODO samples
%{perl_vendorlib}/Chart*
%{_mandir}/*/*

%changelog
* Fri Apr 01 2022 umeabot <umeabot> 2.4.10-6.mga9
+ Revision: 1838373
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.4.10-5.mga8
+ Revision: 1493504
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.4.10-4.mga7
+ Revision: 1266083
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 2.4.10-3.mga6
+ Revision: 1023830
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.4.10-2.mga6
+ Revision: 967283
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 2.4.10-1.mga6
+ Revision: 848634
- update to 2.4.10

* Wed Oct 15 2014 umeabot <umeabot> 2.4.6-5.mga5
+ Revision: 743703
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4.6-4.mga5
+ Revision: 683864
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.4.6-3.mga4
+ Revision: 509873
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.4.6-2.mga3
+ Revision: 364163
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 jquelin <jquelin> 2.4.6-1.mga3
+ Revision: 302782
- update to 2.4.6

* Tue Jun 05 2012 jquelin <jquelin> 2.4.5-1.mga3
+ Revision: 254660
- update to 2.4.5

* Wed Jan 25 2012 jquelin <jquelin> 2.4.4-1.mga2
+ Revision: 200842
- update to 2.4.4

* Thu Dec 08 2011 kharec <kharec> 2.4.3-1.mga2
+ Revision: 179114
- update to 2.4.3

* Thu Jan 27 2011 jquelin <jquelin> 2.4.2-1.mga1
+ Revision: 41940
- mageia rebuild
- imported package perl-Chart


* Sun Oct 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.4.2-1mdv2011.0
+ Revision: 588697
- update to 2.4.2

* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 2.4.1-6mdv2011.0
+ Revision: 505422
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.4.1-5mdv2010.0
+ Revision: 430322
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 2.4.1-4mdv2009.0
+ Revision: 256401
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.4.1-2mdv2008.1
+ Revision: 136680
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.1-2mdv2008.0
+ Revision: 86066
- rebuild


* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.1-1mdk
- New release 2.4.1

* Thu Oct 20 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.3-3mdk
- Fix BuildRequires
- fix url/source

* Thu Oct 20 2005 Olivier Thauvin <nanardon@mandriva.org> 2.3-2mdk
- rebuild
- add make test

* Mon May 31 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.3-1mdk
- 2.3

* Mon Aug 18 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.2-4mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- rm -rf /home/guillomovitch/rpm/tmp/perl-Chart-2.4.1 in %%install
- use %%makeinstall_std macro
- cosmetics

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 François Pons <fpons@mandrakesoft.com> 2.2-1mdk
- 2.2.

* Fri Apr 25 2003 Pixel <pixel@mandrakesoft.com> 1.0.1-4mdk
- add "BuildRequires: perl-devel"

